> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /jumbo/products/search

> Search Jumbo.com products by keyword. Returns product cards with title, brand, category, image, current price, regular price during promotions, price per unit, availability, promotions, badges, characteristics and a sponsored flag.

**Price:** 5 credits per 24 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/jumbo/products/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/jumbo/products/search:
    post:
      tags:
        - /jumbo
      summary: /jumbo/products/search
      description: >-
        Search Jumbo.com products by keyword. Returns product cards with title,
        brand, category, image, current price, regular price during promotions,
        price per unit, availability, promotions, badges, characteristics and a
        sponsored flag.


        **Price:** 5 credits per 24 results
      operationId: __api_jumbo_products_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JumboProductsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JumboSearchProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JumboProductsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - keyword
        - count
    JumboSearchProduct:
      properties:
        '@type':
          type: string
          default: JumboSearchProduct
        id:
          type: string
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        brand:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        price_per_unit:
          anyOf:
            - type: number
            - type: 'null'
        price_unit:
          anyOf:
            - type: string
            - type: 'null'
        availability:
          anyOf:
            - $ref: '#/components/schemas/JumboAvailability'
            - type: 'null'
        is_in_assortment:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sponsored:
          type: boolean
          default: false
        promotions:
          items:
            $ref: '#/components/schemas/JumboPromotion'
          type: array
          default: []
        badges:
          items:
            $ref: '#/components/schemas/JumboBadge'
          type: array
          default: []
        characteristics:
          items:
            $ref: '#/components/schemas/JumboCharacteristic'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    JumboAvailability:
      properties:
        '@type':
          type: string
          default: JumboAvailability
        status:
          anyOf:
            - type: string
            - type: 'null'
        is_available:
          anyOf:
            - type: boolean
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        stock_limit:
          anyOf:
            - type: integer
            - type: 'null'
        reason:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    JumboPromotion:
      properties:
        '@type':
          type: string
          default: JumboPromotion
        id:
          type: string
        tags:
          items:
            type: string
          type: array
          default: []
        group:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        start:
          anyOf:
            - $ref: '#/components/schemas/JumboPromotionDate'
            - type: 'null'
        end:
          anyOf:
            - $ref: '#/components/schemas/JumboPromotionDate'
            - type: 'null'
        max_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        volume_discounts:
          items:
            $ref: '#/components/schemas/JumboVolumeDiscount'
          type: array
          default: []
        is_kies_and_mix:
          type: boolean
          default: false
      type: object
      required:
        - id
    JumboBadge:
      properties:
        '@type':
          type: string
          default: JumboBadge
        text:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    JumboCharacteristic:
      properties:
        '@type':
          type: string
          default: JumboCharacteristic
        name:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    JumboPromotionDate:
      properties:
        '@type':
          type: string
          default: JumboPromotionDate
        date:
          anyOf:
            - type: integer
            - type: 'null'
        day_short:
          anyOf:
            - type: string
            - type: 'null'
        month_short:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    JumboVolumeDiscount:
      properties:
        '@type':
          type: string
          default: JumboVolumeDiscount
        volume:
          anyOf:
            - type: string
            - type: 'null'
        discount:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````